
User Interface - Bug #2831

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Pressing ENTER key on the combo box breaks the window layout.

11/06/2015 09:45 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/06/2015 09:50 AM - Sergey Ivanovskiy

- File SelectWinPrintArrowsEnterKeys.png added

To reproduce this bug it needs to run the following test case ./demo/demo_widgets.p (com.goldencode.testcases.demo.DemoWidgets.execute) and

connect to the server by the web client.

1) Log into the web client.

2) Select the demo window and press ENTER key.

It breaks the demo window layout.

#2 - 11/17/2015 08:16 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

- Target version set to Milestone 12

- Start date deleted (11/06/2015)

#3 - 11/18/2015 02:52 PM - Eugenie Lyzenko

Confirmed as issue for Swing client too.

#4 - 11/18/2015 04:25 PM - Eugenie Lyzenko

- File evl_upd20151118c.zip added

The root cause is the improper handling for ENTER key in GUI mode for combo-box. Even if the SESSION:DATA-ENTRY-RETURN is TRUE it must

be ignored. So the combo-box just do nothing in GUI for ENTER key. The solution is to override the getDataEntryReturn() for GUI mode returning

always false. The cumulative fix(with 2834 issue resolution include) has been attached for review.

Only GUI code is involved in both fixes.

#5 - 11/19/2015 05:25 PM - Greg Shah

Code Review evl_upd20151118c.zip

I am fine with the change to ComboBoxGuiImpl.
#6 - 11/19/2015 05:30 PM - Greg Shah

Please check in the ComboBoxGuiImpl change from evl_upd20151118c.zip.  We will wait on the ScrollableSelectionListGuiImpl.java change until we

hear from Constantin.

#7 - 11/19/2015 05:53 PM - Eugenie Lyzenko

Greg Shah wrote:

Please check in the ComboBoxGuiImpl change from evl_upd20151118c.zip.  We will wait on the ScrollableSelectionListGuiImpl.java change

until we hear from Constantin.

 

Committed to 2677a as revision 11067. The file ui/client/ComboBox.java committed to as requirement for this fix. ScrollableSelectionListGuiImpl.java

is untouched.

#8 - 11/19/2015 05:58 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

SelectWinPrintArrowsEnterKeys.png 32.8 KB 11/06/2015 Sergey Ivanovskiy

evl_upd20151118c.zip 27.9 KB 11/18/2015 Eugenie Lyzenko
